Built LMS Help Center
API Reference and PlaygroundLearning PathsLearning Path Enrollments

GET List learning path enrollments

Retrieve learning path enrollments with optional filtering by user, learning path, status, and date range

GET
/learning-path-enrollments

Retrieve learning path enrollments with optional filtering by user, learning path, status, and date range

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Query Parameters

user_id?string

Filter by user ID

Formatuuid
learning_path_id?string

Filter by learning path ID

Formatuuid
status?string

Filter by enrollment status

Value in

  • "enrolled"
  • "active"
  • "completed"
  • "withdrawn"
start_date?string

Filter enrollments starting from this date

Formatdate-time
end_date?string

Filter enrollments up to this date

Formatdate-time
limit?integer

Maximum number of results

Range1 <= value <= 100
Default50
offset?integer

Number of results to skip

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/learning-path-enrollments"
{  "data": [    {      "id": "{id}",      "learning_path_id": "{learning_path_id}",      "user_id": "{user_id}",      "organization_id": "{organization_id}",      "status": "string",      "progress_percentage": 0,      "enrolled_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}